Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 11/12/2018 in all areas

  1. I'll assume you don't want to keep that snap active all the time, otherwise you wouldn't be asking the question. My solution would be to write a LISP function that overrides the command you're using. For instance, if you're drawing a polyline and need the perpendicular snap, your code would do this: defun PPLINE PER snap ON PLINE PER snap OFF So instead of calling the polyline command directly, you invoke the new PPLINE function. If I've misread the situation, please provide more information.
    2 points
  2. Knowing that dimension is irrelevant, the machined face is dimensioned and at a 30 degree angle. You should assume 90 degrees from that face to the top cylindrical shape. So you can find the top of the arc, draw 90 degrees from that face to where it intersects the top flat surface.
    2 points
  3. Thanks for the reply... As i tought, its not possible. so i wrote a LISP for it. (defun C:MULTISNAP ( / multisnap ) (if (not hboldsnap)(setq hboldsnap (getvar "OSMODE"))) (initget "END MID CEN NOD QUA INT INS PER TAN NEA GCEN EXT PAR RESET") (setq multisnap (getkword (strcat "\nMultiple snap override [END/MID/CEN/NOD/QUA/INT/INS/PER/TAN/NEA/GCEN/EXT/PAR/RESET]: "))) (if (not multisnap)(setq multisnap "END")) (cond ((= multisnap "END")(setq multisnap 1)) ((= multisnap "MID")(setq multisnap 2)) ((= multisnap "CEN")(setq multisnap 4)) ((= multisnap "NOD")(setq multisnap 8)) ((= multisnap "QUA")(setq multisnap 16)) ((= multisnap "INT")(setq multisnap 32)) ((= multisnap "INS")(setq multisnap 64)) ((= multisnap "PER")(setq multisnap 128)) ((= multisnap "TAN")(setq multisnap 256)) ((= multisnap "NEA")(setq multisnap 512)) ((= multisnap "GCEN")(setq multisnap 1024)) ((= multisnap "EXT")(setq multisnap 4096)) ((= multisnap "PAR")(setq multisnap 8192)) ((= multisnap "RESET")(setq multisnap hboldsnap)) ) (setvar "OSMODE" multisnap) (princ) )
    1 point
  4. Now sit down son and stop fidgetting. What was that? No the birds and the bees come when your a little older. An attached XREF is attached to the drawing file and if that drawing is xreffed into another drawing file, it will follow i.e. It is part of the drawing. Result increased drawing sizes and possible circular references (see scenario below) An overlay XREF is like a transparency and does not follow if the drawing is xreffed into another drawing. Scenario : DWG "1" is XREF'd into DWG "2" as an attachment. When you XREF DWG "2" into DWG "3" as an attachment it will bring the XREF of DWG "1" with it. This can create circular references if you were to then XREF DWG "3" as an attachment back into DWG "1" not knowing it contains a copy of itself. Therefore your co-workers are correct by always using overlay to prevent possible problems.
    1 point
  5. You can set the system variable INSBASE to a coordinate. The default is (0,0,0). When you later xref that drawing, it uses that location. This scheme may take a little adjustment if you don't have one in place, but it should handle your situation.
    1 point
  6. When you insert an xref, there is an option in the "Attach External Reference" dialog where you can set the insertion point, or you can just grab the xref and move it after insertion, but I wouldn't recommend doing either of these things. It's bad practice to move xrefs, especially if they contain survey information or items that need to line up with other xrefs. You're setting yourself up for problems if you get into the habit of moving xrefs. If it were me, and I needed to see each xref without them overlapping, I would insert the xrefs and then set up layouts in paper space with viewports for each xref. Within each viewport I would turn off the xrefs I don't want to see. So in the case of your example, I would have 3 viewports, one for each xref.
    0 points
×
×
  • Create New...